Archived

This topic is now archived and is closed to further replies.

  • 0

Resolved upgrading to 2.3.3 deletes my theme


Question

Posted · Report post

So when I updated the pagelines framework from 2.3.2 to 2.3.3 the update process did not work and deleted the pagelines theme from my host but did not install the new one. So as I have had a similar problem 2 weeks ago and was advised on here to reinstall the theme onto my host thats what I have done this time too.

the website is www.bhesco.co.uk

I have a copy of pagelines.zip but it is a copy of 2.2.5 - when this has been uploaded the site re-appears but there remain some issues:

1. the widgets page does not load correctly - screenshot seen here: wordpress error1

2. the menu page does not load correctly

3. any attempt to upgrade the theme to 2.3.3 now leaves the site in maintenance mode indefinitely (I tried 10 times+ yesterday)

4. the visual layout editor does not work (all text in white and written in html)

5. my "Links" page that had the connections plugin does not work - template deleted? screenshot seen here: wordpress error3

6. the FS Contact forms options plugin no longer works

This is a new start up and we are just beginning to invite people to a launch so I really need the site up and working reliably...

Thanks for your help in advance

Share this post


Link to post
Share on other sites

40 answers to this question

Posted · Report post

ok - think i have done this correctly? you'll have to bear with me...

it gives a:

Notice: get_current_theme is deprecated since version 3.4! Use wp_get_theme() instead. in /content/sites/b/h/bhesco.co.uk/web/wp-includes/functions.php on line 2638 Notice: Undefined index: cforms_no_css in /content/sites/b/h/bhesco.co.uk/web/wp-content/plugins/cforms/cforms.php on line 1208

result at the top of the page.

what next?

Share this post


Link to post
Share on other sites

Posted · Report post

brightgreenhomes Your host has your PHP memory locked to 32M, ask them to increase it.

Share this post


Link to post
Share on other sites

Posted · Report post

sorry simon, not sure what 32M means?

Share this post


Link to post
Share on other sites

Posted · Report post

32 Megabyes of memory, your host has a restriction.

Share this post


Link to post
Share on other sites

Posted · Report post

should i just revert to the old pagelines 2.5 to make the site work in the meantime?

Share this post


Link to post
Share on other sites

Posted · Report post

sorry - meant 2.2.5

Share this post


Link to post
Share on other sites

Posted · Report post

ok - i have reverted to 2.2.5 and all is working again... when i hear from the host if they can ugrade the PHP then try it then... thanks for you help...

Share this post


Link to post
Share on other sites

Posted · Report post

well i doubt that names.co.uk is 'lying' - they obviously want to upgrade us to a more comprehensive package but i will take this up with them. Is it not possible at all that there might be an issue with the pagelines updater?

There seems to be a classic IT situation here with both you and our host blaming each other - leaving us hanging in the wind?

Having reverted to 2.2.5. things were working until i tried to upload a picture when updating our blog which brings up a HTTP error.

So - now i am having problems updating our website... so the problem of not being able to upgrade to 2.3.3 now returns again... is there anything else you can help with this?

Share this post


Link to post
Share on other sites

Posted · Report post

So - I have tried, once again to manually install the 2.3.3 theme this morning... downloading pagelines.zip from my log in area - using filezilla to install the unpacked file. All seems to upload into the wp-content/themes/pagelines file correctly. When I then attempt to open the site all I get is a blank page?

If this was just a problem with the host not allowing me to use the WP updater then manually uploading these files should solve this?

So - I changed the WP-config.php file to have define('WP_DEBUG', true); and what I get as a result is:

Notice: get_current_theme is deprecated since version 3.4! Use wp_get_theme() instead. in /content/sites/b/h/bhesco.co.uk/web/wp-includes/functions.php on line 2638 Notice: Undefined index: ourprogresssubmit in /content/sites/b/h/bhesco.co.uk/web/wp-content/plugins/fundraising-thermometer-plugin-for-wordpress/ourprogress.php on line 47 Notice: register_sidebar_widget is deprecated since version 2.8! Use wp_register_sidebar_widget() instead. in /content/sites/b/h/bhesco.co.uk/web/wp-includes/functions.php on line 2638 Fatal error: Call to a member function register_tab() on a non-object in /content/sites/b/h/bhesco.co.uk/web/wp-content/plugins/pagelines-sections/pagelines-soapbox/section.php on line 62

So... what now? I am going to go back and reload 2.2.5 as I can't have the site down for any significant time at the moment. Thanks for help in advance.

Share this post


Link to post
Share on other sites

Posted · Report post

and now - 2.2.5 is also just a blank page... help!

Share this post


Link to post
Share on other sites

Posted · Report post

Hi - this is the repsonse I have received from namesco.... (the warning Nathan mentions is the same one that I posted above)

"Given that warning you have provided about using deprecated content, it looks as if Pagelines aren't coding their themes to current Wordpress guidelines.

I would suggest that you refer this matter back to them and provide them that error message in which it is clear their code is trying to use a deprecated PHP function."

Please help - I have to get this site up and running soon...

Share this post


Link to post
Share on other sites

Posted · Report post

Interestingly - I have another site - www.greenbuildingpartnership.co.uk - that uses another host and have just gone to check that one - it too needed upgrading (taken my eye off this site for a month!) and went to perform the update - happened without a hitch.

Share this post


Link to post
Share on other sites

Posted · Report post

I can 100% guarantee that we do not use any deprecated functions. We write all our code with debug enabled and NEVER push a release even with the slightest debug warning.

So those errors will be caused by plugins.

The site on the other host obviously has no permission problems for the files.

Once again, PageLines has no updater, we simply use the native WordPress upgrader that is built in. It upgrades wordpress core, plugins and themes. We simply tell the upgrader where our zip is and it does the rest assuming your host allows it.

Id be more than happy to talk to Nathen were in the same timezone. He can skype me, hell he can phone me if he wants.

Share this post


Link to post
Share on other sites

Posted · Report post

I have passed that onto Namesco and will see - but how is it that now I have re-uploaded 2.2.5 to the host this is not working either? Is this something that they are doing their end?

thanks for your help with this Simon.

Share this post


Link to post
Share on other sites

Posted · Report post

if you upgrading and downgrading on a whim you should disable EVERY plugin. The white screen is a wordpress error, if WP_DEBUG is on it should show toy the errors.

Share this post


Link to post
Share on other sites